{
    attributes = (
        {
            columnName = ANNEE; 
            externalType = NUMBER; 
            name = annee; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = CODE; 
            externalType = VARCHAR2; 
            name = code; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = DROIT; 
            externalType = VARCHAR2; 
            name = droit; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            columnName = KEY_CHAR; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = VOIE; }; 
            name = keyChar; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            columnName = KEY_INT; 
            externalType = NUMBER; 
            name = keyInt; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = LIBELLE; 
            externalType = VARCHAR2; 
            name = libelle; 
            valueClassName = NSString; 
            width = 400; 
        }, 
        {
            columnName = LMD; 
            externalType = VARCHAR2; 
            name = lmd; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = NIVEAU; 
            externalType = NUMBER; 
            name = niveau; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = PERE; 
            externalType = VARCHAR2; 
            name = pere; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = VOCATION; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = VOIE; }; 
            name = vocation; 
            valueClassName = NSString; 
            width = 7; 
        }
    ); 
    attributesUsedForLocking = (annee, droit, pere, code); 
    className = EOGenericRecord; 
    classProperties = (niveau, annee, droit, code, libelle, pere, vocation, keyInt, keyChar, lmd); 
    externalName = V_SCOL_AUTORISATION_ARBRE; 
    fetchSpecificationDictionary = {}; 
    name = VScolAutorisationArbre; 
    primaryKeyAttributes = (annee, droit, pere, code); 
}
